Subject: Re: Problems w/ CONFIG_BLK_DEV_MPC8xx_IDE

From: Steven Scholz <[email-masked]>
Date: Mon, 15 Sep 2003 14:29:05 +0200

Hubert Figuiere wrote:
> On Mon, 2003-09-15 at 13:31, Steven Scholz wrote:
>
>
>>The BK linuxppc_2_4_devel tree has another problem as well:
>>
>>drivers/ide/idedriver.o: In function `probe_hwif':
>>drivers/ide/idedriver.o(.text+0x11a30): undefined reference to `wait_hwif_ready'
>>drivers/ide/idedriver.o(.text+0x11a30): relocation truncated to fit: R_PPC_REL24
>>wait_hwif_ready
>>
>>ide-probe.c contains a call for wait_hwif_ready(), which is not defined.
>>This function exisists in the vanilla source though!
>>
>>I supposed something went wrong while merging/syncing the IDE changes from the
>>official tree...
>
>
> Change 'wait_hwif_ready' by 'ide_wait_hwif_ready' in both ide-probe.c
> and ide.c
Ok. This obviously fixes it.
I just noticed that I might have used the wrong source tree.

So which is the BK tree to use:

linuxppc_2_4_devel or linuxppc-2.4 ???

Thanks,

Steven

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/